Send an order response

Creates a SubmitOrderResponsebusiness transaction from a metadata structure.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The more parameter of the call informs the server whether additional document attachments are expected or not and then updates the message status. If no more documents will be added, the call sets the status of the message to received. Otherwise, the message remains open and the message status is notset.

📘

Please note that there are both basic and advanced versions available for an order response:

  • In its basic version, only simple status changes are supported (approve/reject).
  • In its advanced version, changes are supported from the supplier side.

The following example contains the minimum JSON body required to create a valid order change. These elements are mandatory.

{
  "orderResponse": {
    "orderResponseNo": "ORDRSP19100074",
    "issueDate": "2023-09-08T10:15:42.774Z",
    "orderReference": "O07",
    "orderResponseCode": "CA",
    "currencyCode": "ISK",
    "supplier": {
      "name": "Test Party One",
      "identifier": "0196:1111118899"
    },
    "customer": {
      "name": "Test Party Two",
      "identifier": "0196:2222228899"
    },
    "orderLines": [
      {
        "itemNo": "FS4451",
        "lineStatusCode": "5",
        "name": "Cranberry and nuts trail mix",
        "orderLineReference": "1",
      },
      {
        "itemNo": "CT3397",
        "lineStatusCode": "5",
        "name": "Coffee creamer powder French vanilla 1.36 kg",
        "orderLineReference": "1"
      },
      {
        "itemNo": "FS7813",
        "lineStatusCode": "7",
        "name": "Snacks package (cookies bars chips candy) 60 count",
        "orderLineReference": "1"
      },
      {
        "itemNo": "CT7405",
        "lineStatusCode": "7",
        "name": "Orange cinnamon black tea blend loose leaf",
        "orderLineReference": "1"
      }
    ]
  }
}

Query Params
uuid
required

The identifier of the message in the format of a valid Universally unique identifier (GUID).

string

The identifier of the conversation.
Used as a correlation identifier between different documents in the same business context, for example, between a credit note that was issued based on an invoice and that invoice.

If not provided, it is generated automatically.
In that case, it includes the date when the message was sent, a random token, and the ISO identifier of the sender.

boolean
required

Signals if the current document is the last document that the message is supposed to contain.
If that is true, the processing starts immediately.

string
enum

The way the transaction is processed.

Allowed:
services
array of strings

A list of services that the user specifies for additional message processing.

services
Body Params
messageHandling
object
required

Message delivery information.

orderResponse
object
required

The metadata structure of an order response.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml